%global module_name inlinestyler
Name:           python-%{module_name}
Version:        0.1.7
Release:        11%{?dist}
Summary:        Inlines external CSS into HTML elements

License:        BSD
URL:            https://pypi.python.org/pypi/%{module_name}/%{version}
Source0:        https://pypi.python.org/packages/source/i/%{module_name}/%{module_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools

%global _description\
inlinestyler is an easy way to locally inline CSS into an HTML email message.

%description %_description

%package -n python2-%{module_name}
Summary: %summary
Requires:       python2-cssutils python2-lxml
%{?python_provide:%python_provide python2-%{module_name}}

%description -n python2-%{module_name} %_description

%prep
%setup -q -n %{module_name}-%{version}
rm -rf %{module_name}.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files -n python2-%{module_name}
%doc AUTHORS CHANGELOG LICENSE README.rst
%{python2_sitelib}/%{module_name}-%{version}-py?.?.egg-info/
%{python2_sitelib}/%{module_name}


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.7-9
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.7-8
- Python 2 binary package renamed to python2-inlinestyler
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 10 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.7-1
- Removed macro definition
- Updated description
- Corrected python directory macros
- Initial rpm build
